Pkgcheck Warnings

  • All Versions
    • SuboptimalCratesSeparator
      line: 7: using - as name-version separator in CRATES is suboptimal, use name@version instead
    • SuboptimalCratesURICall
      line: 93: calling '$(cargo_crate_uris)' is suboptimal, use '${CARGO_CRATE_URIS}' for global CRATES instead
    • UnstableOnly
      for arches: [ amd64, ppc64, x86 ], all versions are unstable: [ 0.10.1, 0.11.0 ]
    • SuboptimalCratesSeparator
      line: 7: using - as name-version separator in CRATES is suboptimal, use name@version instead
    • SuboptimalCratesURICall
      line: 96: calling '$(cargo_crate_uris)' is suboptimal, use '${CARGO_CRATE_URIS}' for global CRATES instead
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 0.11.0
  • 0.11.0
    • SuboptimalCratesSeparator
      line: 7: using - as name-version separator in CRATES is suboptimal, use name@version instead
    • SuboptimalCratesURICall
      line: 96: calling '$(cargo_crate_uris)' is suboptimal, use '${CARGO_CRATE_URIS}' for global CRATES instead
  • 0.10.1
    • SuboptimalCratesURICall
      line: 93: calling '$(cargo_crate_uris)' is suboptimal, use '${CARGO_CRATE_URIS}' for global CRATES instead
    • SuboptimalCratesSeparator
      line: 7: using - as name-version separator in CRATES is suboptimal, use name@version instead
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 0.11.0

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.